(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[     19050,        405]
NotebookOptionsPosition[     19364,        397]
NotebookOutlinePosition[     19825,        417]
CellTagsIndexPosition[     19782,        414]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`\[Sigma]$$ = 0.5, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`\[Sigma]$$], 0, 4.199999999999999}}, 
    Typeset`size$$ = {360., {117., 121.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`\[Sigma]$16522$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`\[Sigma]$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`\[Sigma]$$, $CellContext`\[Sigma]$16522$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        $CellContext`errorGr[$CellContext`\[Sigma]$$, $CellContext`q0], \
$CellContext`lineGr, 
        $CellContext`curveGr[$CellContext`\[Sigma]$$, $CellContext`q0], \
$CellContext`pointsGr], 
      "Specifications" :> {{$CellContext`\[Sigma]$$, 0, 4.199999999999999}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{405., {160., 165.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`errorGr[
         Pattern[$CellContext`\[Sigma], 
          Blank[]], 
         Pattern[$CellContext`q, 
          Blank[]]] := 
       Plot[{$CellContext`curve[$CellContext`x, $CellContext`\[Sigma], \
$CellContext`q] - $CellContext`chybaPredikce[$CellContext`vlBody, \
$CellContext`\[Sigma], 
           $CellContext`nezav[$CellContext`q], $CellContext`strChyby2, \
$CellContext`x], $CellContext`curve[$CellContext`x, $CellContext`\[Sigma], \
$CellContext`q] + $CellContext`chybaPredikce[$CellContext`vlBody, \
$CellContext`\[Sigma], 
            $CellContext`nezav[$CellContext`q], $CellContext`strChyby2, \
$CellContext`x]}, {$CellContext`x, $CellContext`od, $CellContext`do}, 
         Filling -> {1 -> {{2}, 
             RGBColor[0.682353, 0.682353, 1]}}, PlotStyle -> {{
            Thickness[0.005], 
            RGBColor[0, 0.192157, 1]}, {
            Thickness[0.005], 
            RGBColor[0, 0.192157, 1]}}, 
         PlotRange -> $CellContext`pr], $CellContext`curve[
         Pattern[$CellContext`x, 
          Blank[]], 
         Pattern[$CellContext`\[Sigma], 
          Blank[]], 
         Pattern[$CellContext`q, 
          
          Blank[]]] := $CellContext`predikce[$CellContext`vlBody, \
$CellContext`\[Sigma], 
         $CellContext`nezav[$CellContext`q], $CellContext`strChyby2, \
$CellContext`x], $CellContext`predikce[
         Pattern[$CellContext`data, 
          Blank[List]], 
         Pattern[$CellContext`s, 
          Blank[]], 
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`s2Zakl, 
          Blank[List]], 
         Pattern[$CellContext`x, 
          Blank[]]] := 
       Module[{$CellContext`h, $CellContext`pomh}, {$CellContext`h, \
$CellContext`pomh} = Part[
            $CellContext`trendMNC[$CellContext`data, $CellContext`s, \
$CellContext`d, $CellContext`s2Zakl], {1, 2}]; Dot[
            $CellContext`covMat1[
             Part[
              Transpose[$CellContext`data], 
              1], $CellContext`s, $CellContext`d, $CellContext`x], \
$CellContext`pomh] + 
          Dot[{1, $CellContext`x}, $CellContext`h]], $CellContext`trendMNC[{{
          1, 4}, {3, 6.2}, {5, 5.1}, {7, 6.8}, {9, 7}}, 0, 0.421875, {
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001}] = {{4.169999999999999, 
         0.33}, {-12.499999999999977`, 
         26.000000000000018`, -17.999999999999993`, 
         8.000000000000028, -3.4999999999999694`}, {{1, 1}, {1, 3}, {1, 5}, {
         1, 7}, {1, 9}}, {{0.033, -0.005000000000000001}, {-0.005, 
         0.001}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {5, 5.1}, {
          7, 6.8}, {9, 7}}, 0., 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{4.169999999999999, 
         0.33}, {-12.499999999999977`, 
         26.000000000000018`, -17.999999999999993`, 
         8.000000000000028, -3.4999999999999694`}, {{1, 1}, {1, 3}, {1, 5}, {
         1, 7}, {1, 9}}, {{0.033, -0.005000000000000001}, {-0.005, 
         0.001}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {5, 5.1}, {
          7, 6.8}, {9, 7}}, 0.225, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{4.027288038504517, 
         0.3479831286989009}, {-8.758752560669201, 
         18.500206739166792`, -14.225130272762803`, 
         7.984650570702058, -3.5009744764368858`}, {{1, 1}, {1, 3}, {1, 5}, {
         1, 7}, {1, 9}}, {{
         0.09334292934946384, -0.013388816548915716`}, \
{-0.013388816548915715`, 
         0.002677763309783143}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 0.48, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.871315531487502, 
         0.3630471280502286}, {-4.474722458477286, 
         9.562953203832807, -8.053445407881552, 
         5.316921038173767, -2.3517063756477663`}, {{1, 1}, {1, 3}, {1, 5}, {
         1, 7}, {1, 9}}, {{
         0.2997782042268963, -0.04187572477897697}, {-0.041875724778976976`, 
         0.008375144955795395}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 0.61, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.828549440424895, 
         0.36630873870838626`}, {-3.2557358340748457`, 
         6.975569808982319, -5.995380862925165, 
         4.086995635202771, -1.8114487471850684`}, {{1, 1}, {1, 3}, {1, 5}, {
         1, 7}, {1, 9}}, {{
         0.4610527641656992, -0.06409940544560683}, {-0.06409940544560684, 
         0.012819881089121367`}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 0.648, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.8190667564758987`, 
         0.36698442342779375`}, {-2.9829129000320886`, 
         6.394419571366927, -5.519333722225353, 
         3.7870603304783064`, -1.6792332795877778`}, {{1, 1}, {1, 3}, {1, 
         5}, {1, 7}, {1, 9}}, {{
         0.5153846397423527, -0.07158546314210185}, {-0.07158546314210183, 
         0.014317092628420368`}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 0.685, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.8108522345657976`, 
         0.36755624597050257`}, {-2.745850944384246, 
         5.888878156491684, -5.101368939167455, 
         3.5195071863968344`, -1.5611654593368147`}, {{1, 1}, {1, 3}, {1, 
         5}, {1, 7}, {1, 9}}, {{
         0.5714177198386905, -0.07930573624148925}, {-0.07930573624148927, 
         0.015861147248297854`}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 0.7, 0.42, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.8032922898788586`, 
         0.368149739452034}, {-2.6843429767458016`, 
         5.762016366338699, -5.008116776805507, 
         3.467556361578091, -1.5371129743654954`}, {{1, 1}, {1, 3}, {1, 5}, {
         1, 7}, {1, 9}}, {{
         0.5956899585689025, -0.08258429944675827}, {-0.08258429944675828, 
         0.016516859889351657`}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 0.7, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.8077786330866674`, 
         0.3677670205516921}, {-2.6569789582545433`, 
         5.699223861374713, -4.943665724301304, 
         3.4175756974966425`, -1.51615487631551}, {{1, 1}, {1, 3}, {1, 5}, {1,
          7}, {1, 9}}, {{
         0.5950144206062606, -0.08255686771120888}, {-0.08255686771120889, 
         0.01651137354224178}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 0.75, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.7984794952649645`, 
         0.3683942961025481}, {-2.387536044860856, 
         5.123799169274553, -4.462235866165207, 
         3.1032184039501693`, -1.3772456621986637`}, {{1, 1}, {1, 3}, {1, 
         5}, {1, 7}, {1, 9}}, {{
         0.6773412990430093, -0.09389968245718838}, {-0.09389968245718838, 
         0.018779936491437672`}}}, $CellContext`trendMNC[
         Pattern[$CellContext`data, 
          Blank[List]], 
         Pattern[$CellContext`s, 
          Blank[]], 
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`s2Zakl, 
          Blank[
          List]]] := ($CellContext`trendMNC[$CellContext`data, \
$CellContext`s, $CellContext`d, $CellContext`s2Zakl] = 
        With[{$CellContext`cov = $CellContext`covMatMult2[{
              Part[
               Transpose[$CellContext`data], 1], 
              Part[
               Transpose[$CellContext`data], 
               1]}, {$CellContext`s^2, $CellContext`d}]}, 
          With[{$CellContext`n = Length[$CellContext`data]}, 
           
           Module[{$CellContext`P = 
             Inverse[$CellContext`cov + 
               DiagonalMatrix[$CellContext`s2Zakl]], $CellContext`AT, \
$CellContext`A, $CellContext`ATP, $CellContext`f, $CellContext`InvATPA, \
$CellContext`h}, $CellContext`AT = {
               Table[1, {$CellContext`n}], 
               Part[
                Transpose[$CellContext`data], 1]}; $CellContext`A = 
             Transpose[$CellContext`AT]; $CellContext`ATP = 
             Dot[$CellContext`AT, $CellContext`P]; $CellContext`f = Part[
               Transpose[$CellContext`data], 2]; $CellContext`InvATPA = 
             Inverse[
               Dot[$CellContext`ATP, $CellContext`A]]; $CellContext`h = 
             Dot[$CellContext`InvATPA, $CellContext`ATP, $CellContext`f]; \
{$CellContext`h, 
              
              Dot[$CellContext`P, $CellContext`f - 
               Dot[$CellContext`A, $CellContext`h]], $CellContext`A, \
$CellContext`InvATPA}]]]), $CellContext`covMatMult2[{
          Pattern[$CellContext`VlicBody, 
           Blank[List]], 
          Pattern[$CellContext`podrBody, 
           Blank[List]]}, {
          Pattern[$CellContext`s2, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]}] := 
       With[{$CellContext`m = Length[$CellContext`VlicBody], $CellContext`n = 
          Length[$CellContext`podrBody]}, $CellContext`s2 Table[
           $CellContext`covF[$CellContext`d, 
            Abs[
            Part[$CellContext`podrBody, $CellContext`j] - 
             Part[$CellContext`VlicBody, $CellContext`i]]], {$CellContext`j, 
            1, $CellContext`n}, {$CellContext`i, 
            1, $CellContext`m}]], $CellContext`covF[
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`x, 
          Blank[]]] := 
       Exp[-($CellContext`d $CellContext`x)^2], $CellContext`covMat1[
         Pattern[$CellContext`body, 
          Blank[]], 
         Pattern[$CellContext`s, 
          Blank[]], 
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`x, 
          Blank[]]] := 
       With[{$CellContext`body1 = 
          Append[$CellContext`body, $CellContext`x], $CellContext`m = 
          Length[$CellContext`body] + 1}, $CellContext`s^2 Table[
           $CellContext`covF[$CellContext`d, 
            Abs[
            Part[$CellContext`body1, $CellContext`m] - 
             Part[$CellContext`body1, $CellContext`j]]], {$CellContext`j, 
            1, $CellContext`m - 1}]], $CellContext`vlBody = {{1, 4}, {
         3, 6.2}, {5, 5.1}, {7, 6.8}, {9, 7}}, $CellContext`nezav[
         Pattern[$CellContext`q, 
          Blank[]]] = (15 $CellContext`q)/32, $CellContext`strChyby2 = {
        0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
        0.04000000000000001, 0.04000000000000001}, $CellContext`chybaPredikce[
        
         Pattern[$CellContext`data, 
          Blank[List]], 
         Pattern[$CellContext`s, 
          Blank[]], 
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`s2Zakl, 
          Blank[List]], 
         Pattern[$CellContext`x, 
          Blank[]]] := 
       With[{$CellContext`Ax = {1, $CellContext`x}, $CellContext`A = Part[
            $CellContext`trendMNC[$CellContext`data, $CellContext`s, \
$CellContext`d, $CellContext`s2Zakl], 3], $CellContext`InvATPA = Part[
            $CellContext`trendMNC[$CellContext`data, $CellContext`s, \
$CellContext`d, $CellContext`s2Zakl], 
            4], $CellContext`cov = $CellContext`covMatMult[{
             Part[$CellContext`data, All, 1], 
             
             Part[$CellContext`data, All, 
              1]}, {$CellContext`s, $CellContext`d}], $CellContext`c12 = 
          Flatten[
            $CellContext`covMatMult[{
              
              Part[$CellContext`data, All, 
               1], {$CellContext`x}}, {$CellContext`s, $CellContext`d}]]}, 
         Module[{$CellContext`P = 
           Inverse[$CellContext`cov + DiagonalMatrix[$CellContext`s2Zakl]]}, 
          
          Sqrt[$CellContext`s^2 - 
           Dot[$CellContext`c12, $CellContext`P, $CellContext`c12] + 
           Dot[$CellContext`Ax - 
             Dot[$CellContext`c12, $CellContext`P, $CellContext`A], \
$CellContext`InvATPA, $CellContext`Ax - Dot[
              
              Transpose[$CellContext`A], $CellContext`P, \
$CellContext`c12]]]]], $CellContext`covMatMult[{
          Pattern[$CellContext`VlicBody, 
           Blank[List]], 
          Pattern[$CellContext`podrBody, 
           Blank[List]]}, {
          Pattern[$CellContext`s, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]}] := 
       With[{$CellContext`m = Length[$CellContext`VlicBody], $CellContext`n = 
          Length[$CellContext`podrBody]}, $CellContext`s^2 Table[
           $CellContext`covF[$CellContext`d, 
            Abs[
            Part[$CellContext`podrBody, $CellContext`j] - 
             Part[$CellContext`VlicBody, $CellContext`i]]], {$CellContext`j, 
            1, $CellContext`n}, {$CellContext`i, 
            1, $CellContext`m}]], $CellContext`od = 
       0.20000000000000018`, $CellContext`do = 
       9.8, $CellContext`pr = {{0.20000000000000018`, 9.8}, {3.7, 
        7.3}}, $CellContext`q0 = 0.9, $CellContext`lineGr := Plot[
         Dot[
          Part[
           $CellContext`trendKonstMNC[$CellContext`vlBody, \
$CellContext`strChyby2], 1], {
          1, $CellContext`x}], {$CellContext`x, $CellContext`od, \
$CellContext`do}, PlotStyle -> {{
            Thickness[0.01], 
            RGBColor[1, 0.192157, 0.054902]}}, 
         PlotRange -> $CellContext`pr], $CellContext`trendKonstMNC[{{1, 4}, {
          3, 6.2}, {5, 5.1}, {7, 6.8}, {9, 7}}, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{4.169999999999999, 
         0.33}, {-12.499999999999977`, 
         26.000000000000018`, -17.999999999999993`, 
         8.000000000000028, -3.4999999999999694`}, {{1, 1}, {1, 3}, {1, 5}, {
         1, 7}, {1, 9}}, {{0.033, -0.005000000000000001}, {-0.005, 
         0.001}}}, $CellContext`trendKonstMNC[
         Pattern[$CellContext`data, 
          Blank[List]], 
         Pattern[$CellContext`s2Zakl, 
          Blank[
          List]]] := ($CellContext`trendKonstMNC[$CellContext`data, \
$CellContext`s2Zakl] = With[{$CellContext`n = Length[$CellContext`data]}, 
          Module[{$CellContext`P = Inverse[
              
              DiagonalMatrix[$CellContext`s2Zakl]], $CellContext`AT, \
$CellContext`A, $CellContext`ATP, $CellContext`f, $CellContext`InvATPA, \
$CellContext`h}, $CellContext`AT = {
              Table[1, {$CellContext`n}], 
              Part[
               Transpose[$CellContext`data], 1]}; $CellContext`A = 
            Transpose[$CellContext`AT]; $CellContext`ATP = 
            Dot[$CellContext`AT, $CellContext`P]; $CellContext`f = Part[
              Transpose[$CellContext`data], 2]; $CellContext`InvATPA = Inverse[
              Dot[$CellContext`ATP, $CellContext`A]]; $CellContext`h = 
            Dot[$CellContext`InvATPA, $CellContext`ATP, $CellContext`f]; \
{$CellContext`h, 
             
             Dot[$CellContext`P, $CellContext`f - 
              Dot[$CellContext`A, $CellContext`h]], $CellContext`A, \
$CellContext`InvATPA}]]), $CellContext`curveGr[
         Pattern[$CellContext`\[Sigma], 
          Blank[]], 
         Pattern[$CellContext`q, 
          Blank[]]] := Plot[
         $CellContext`curve[$CellContext`x, $CellContext`\[Sigma], \
$CellContext`q], {$CellContext`x, $CellContext`od, $CellContext`do}, 
         PlotStyle -> {
           Thickness[0.005], 
           RGBColor[0, 0.192157, 1]}, 
         PlotRange -> $CellContext`pr], $CellContext`pointsGr := Graphics[{
          PointSize[0.02], 
          RGBColor[1, 0.666667, 0], 
          Point[$CellContext`vlBody]}, Axes -> True, 
         PlotRange -> $CellContext`pr]}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent"]
},
WindowSize->{433.54, 336.81},
ScrollingOptions->{"HorizontalScrollRange"->Fit,
"VerticalScrollRange"->Fit},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"8.0 for Linux x86 (64-bit) (October 10, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1235, 30, 18125, 365, 327, "Output"]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature KvpZr8JniyDCQDK7XxMAZ6zT *)
