(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[     28473,        553]
NotebookOptionsPosition[     28774,        545]
NotebookOutlinePosition[     29248,        565]
CellTagsIndexPosition[     29205,        562]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`q$$ = 0.9, $CellContext`\[Sigma]$$ = 1.75, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`\[Sigma]$$], 1.75}, 0, 4.199999999999999}, {{
       Hold[$CellContext`q$$], 0.9}, 0.5, 4.8}}, Typeset`size$$ = {
    360., {117., 121.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`\[Sigma]$79448$$ = 
    0, $CellContext`q$79449$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`q$$ = 0.9, $CellContext`\[Sigma]$$ = 1.75},
       "ControllerVariables" :> {
        Hold[$CellContext`\[Sigma]$$, $CellContext`\[Sigma]$79448$$, 0], 
        Hold[$CellContext`q$$, $CellContext`q$79449$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        $CellContext`errorGr[$CellContext`\[Sigma]$$, $CellContext`q$$], \
$CellContext`lineGr, 
        $CellContext`curveGr[$CellContext`\[Sigma]$$, $CellContext`q$$], \
$CellContext`pointsGr], 
      "Specifications" :> {{{$CellContext`\[Sigma]$$, 1.75}, 0, 
         4.199999999999999}, {{$CellContext`q$$, 0.9}, 0.5, 4.8}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{405., {173., 178.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`errorGr[
         Pattern[$CellContext`\[Sigma], 
          Blank[]], 
         Pattern[$CellContext`q, 
          Blank[]]] := 
       Plot[{$CellContext`curve[$CellContext`x, $CellContext`\[Sigma], \
$CellContext`q] - $CellContext`chybaPredikce[$CellContext`vlBody, \
$CellContext`\[Sigma], 
           $CellContext`nezav[$CellContext`q], $CellContext`strChyby2, \
$CellContext`x], $CellContext`curve[$CellContext`x, $CellContext`\[Sigma], \
$CellContext`q] + $CellContext`chybaPredikce[$CellContext`vlBody, \
$CellContext`\[Sigma], 
            $CellContext`nezav[$CellContext`q], $CellContext`strChyby2, \
$CellContext`x]}, {$CellContext`x, $CellContext`od, $CellContext`do}, 
         Filling -> {1 -> {{2}, 
             RGBColor[0.682353, 0.682353, 1]}}, PlotStyle -> {{
            Thickness[0.005], 
            RGBColor[0, 0.192157, 1]}, {
            Thickness[0.005], 
            RGBColor[0, 0.192157, 1]}}, 
         PlotRange -> $CellContext`pr], $CellContext`curve[
         Pattern[$CellContext`x, 
          Blank[]], 
         Pattern[$CellContext`\[Sigma], 
          Blank[]], 
         Pattern[$CellContext`q, 
          
          Blank[]]] := $CellContext`predikce[$CellContext`vlBody, \
$CellContext`\[Sigma], 
         $CellContext`nezav[$CellContext`q], $CellContext`strChyby2, \
$CellContext`x], $CellContext`predikce[
         Pattern[$CellContext`data, 
          Blank[List]], 
         Pattern[$CellContext`s, 
          Blank[]], 
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`s2Zakl, 
          Blank[List]], 
         Pattern[$CellContext`x, 
          Blank[]]] := 
       Module[{$CellContext`h, $CellContext`pomh}, {$CellContext`h, \
$CellContext`pomh} = Part[
            $CellContext`trendMNC[$CellContext`data, $CellContext`s, \
$CellContext`d, $CellContext`s2Zakl], {1, 2}]; Dot[
            $CellContext`covMat1[
             Part[
              Transpose[$CellContext`data], 
              1], $CellContext`s, $CellContext`d, $CellContext`x], \
$CellContext`pomh] + 
          Dot[{1, $CellContext`x}, $CellContext`h]], $CellContext`trendMNC[{{
          1, 4}, {3, 6.2}, {5, 5.1}, {7, 6.8}, {9, 7}}, 0, 0.421875, {
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001}] = {{4.169999999999999, 
         0.33}, {-12.499999999999977`, 
         26.000000000000018`, -17.999999999999993`, 
         8.000000000000028, -3.4999999999999694`}, {{1, 1}, {1, 3}, {1, 5}, {
         1, 7}, {1, 9}}, {{0.033, -0.005000000000000001}, {-0.005, 
         0.001}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {5, 5.1}, {
          7, 6.8}, {9, 7}}, 0., 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{4.169999999999999, 
         0.33}, {-12.499999999999977`, 
         26.000000000000018`, -17.999999999999993`, 
         8.000000000000028, -3.4999999999999694`}, {{1, 1}, {1, 3}, {1, 5}, {
         1, 7}, {1, 9}}, {{0.033, -0.005000000000000001}, {-0.005, 
         0.001}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {5, 5.1}, {
          7, 6.8}, {9, 7}}, 0.225, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{4.027288038504517, 
         0.3479831286989009}, {-8.758752560669201, 
         18.500206739166792`, -14.225130272762803`, 
         7.984650570702058, -3.5009744764368858`}, {{1, 1}, {1, 3}, {1, 5}, {
         1, 7}, {1, 9}}, {{
         0.09334292934946384, -0.013388816548915716`}, \
{-0.013388816548915715`, 
         0.002677763309783143}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 0.265, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.9952842268241375`, 
         0.3514865344631059}, {-7.899729762495726, 
         16.731826496088466`, -13.135461037363434`, 
         7.674361636444533, -3.3709973326737668`}, {{1, 1}, {1, 3}, {1, 5}, {
         1, 7}, {1, 9}}, {{
         0.11615059959820982`, -0.01654429112676814}, {-0.016544291126768137`,
          0.0033088582253536273`}}}, $CellContext`trendMNC[{{1, 4}, {
          3, 6.2}, {5, 5.1}, {7, 6.8}, {9, 7}}, 0.48, 0.421875, {
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001}] = {{3.871315531487502, 
         0.3630471280502286}, {-4.474722458477286, 
         9.562953203832807, -8.053445407881552, 
         5.316921038173767, -2.3517063756477663`}, {{1, 1}, {1, 3}, {1, 5}, {
         1, 7}, {1, 9}}, {{
         0.2997782042268963, -0.04187572477897697}, {-0.041875724778976976`, 
         0.008375144955795395}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 0.5, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.8635018441256865`, 
         0.3636698117915665}, {-4.253421905052366, 
         9.094412435513613, -7.6885431389594165`, 
         5.107536591587473, -2.2599839830892847`}, {{1, 1}, {1, 3}, {1, 5}, {
         1, 7}, {1, 9}}, {{
         0.32211587142450093`, -0.04495429258853171}, {-0.04495429258853171, 
         0.00899085851770634}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 0.555, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.8444729898760017`, 
         0.36513583085228407`}, {-3.7118192502320215`, 
         7.945461262705114, -6.778919193978948, 
         4.568731600770661, -2.023454419264796}, {{1, 1}, {1, 3}, {1, 5}, {1, 
         7}, {1, 9}}, {{
         0.3881797632526395, -0.054058191181014806`}, {-0.05405819118101481, 
         0.010811638236202962`}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 0.59, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.8340176740058305`, 
         0.36591140932214883`}, {-3.412648492978935, 
         7.309489361481384, -6.266711888853003, 
         4.2555496651776235`, -1.8856786448270555`}, {{1, 1}, {1, 3}, {1, 
         5}, {1, 7}, {1, 9}}, {{
         0.4337649095144162, -0.06033947874951144}, {-0.060339478749511434`, 
         0.012067895749902286`}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 0.61, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.828549440424895, 
         0.36630873870838626`}, {-3.2557358340748457`, 
         6.975569808982319, -5.995380862925165, 
         4.086995635202771, -1.8114487471850684`}, {{1, 1}, {1, 3}, {1, 5}, {
         1, 7}, {1, 9}}, {{
         0.4610527641656992, -0.06409940544560683}, {-0.06409940544560684, 
         0.012819881089121367`}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 0.63, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.823417479552024, 
         0.36667650296772647`}, {-3.1081979914536806`, 
         6.661382107195472, -5.738611513373438, 
         3.925868670975158, -1.7404412733435253`}, {{1, 1}, {1, 3}, {1, 5}, {
         1, 7}, {1, 9}}, {{
         0.48924246650363495`, -0.06798352014599017}, {-0.06798352014599018, 
         0.013596704029198037`}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 0.648, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.8190667564758987`, 
         0.36698442342779375`}, {-2.9829129000320886`, 
         6.394419571366927, -5.519333722225353, 
         3.7870603304783064`, -1.6792332795877778`}, {{1, 1}, {1, 3}, {1, 
         5}, {1, 7}, {1, 9}}, {{
         0.5153846397423527, -0.07158546314210185}, {-0.07158546314210183, 
         0.014317092628420368`}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 0.665, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.815175881353274, 
         0.3672568218129751}, {-2.870709926268575, 
         6.155208089647731, -5.322001792870185, 
         3.6612190218714384`, -1.6237153923804177`}, {{1, 1}, {1, 3}, {1, 
         5}, {1, 7}, {1, 9}}, {{
         0.5407458058474442, -0.07507975842888606}, {-0.07507975842888609, 
         0.015015951685777212`}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 0.685, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.8108522345657976`, 
         0.36755624597050257`}, {-2.745850944384246, 
         5.888878156491684, -5.101368939167455, 
         3.5195071863968344`, -1.5611654593368147`}, {{1, 1}, {1, 3}, {1, 
         5}, {1, 7}, {1, 9}}, {{
         0.5714177198386905, -0.07930573624148925}, {-0.07930573624148927, 
         0.015861147248297854`}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 0.7, 0.42, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.8032922898788586`, 
         0.368149739452034}, {-2.6843429767458016`, 
         5.762016366338699, -5.008116776805507, 
         3.467556361578091, -1.5371129743654954`}, {{1, 1}, {1, 3}, {1, 5}, {
         1, 7}, {1, 9}}, {{
         0.5956899585689025, -0.08258429944675827}, {-0.08258429944675828, 
         0.016516859889351657`}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 0.7, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.8077786330866674`, 
         0.3677670205516921}, {-2.6569789582545433`, 
         5.699223861374713, -4.943665724301304, 
         3.4175756974966425`, -1.51615487631551}, {{1, 1}, {1, 3}, {1, 5}, {1,
          7}, {1, 9}}, {{
         0.5950144206062606, -0.08255686771120888}, {-0.08255686771120889, 
         0.01651137354224178}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 0.7000000000000001, 0.421875, {
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001}] = {{3.8077786330866683`, 
         0.36776702055169186`}, {-2.656978958254545, 
         5.699223861374711, -4.9436657243013045`, 
         3.417575697496644, -1.5161548763155088`}, {{1, 1}, {1, 3}, {1, 5}, {
         1, 7}, {1, 9}}, {{
         0.595014420606261, -0.0825568677112089}, {-0.08255686771120893, 
         0.016511373542241786`}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 0.72, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.803891561938499, 
         0.36803112069771454`}, {-2.5444532803381295`, 
         5.458990770807196, -4.743209152979935, 
         3.2872591148908095`, -1.4585874523799303`}, {{1, 1}, {1, 3}, {1, 
         5}, {1, 7}, {1, 9}}, {{
         0.6272672886642046, -0.08700061276227299}, {-0.08700061276227299, 
         0.017400122552454596`}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 0.75, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.7984794952649645`, 
         0.3683942961025481}, {-2.387536044860856, 
         5.123799169274553, -4.462235866165207, 
         3.1032184039501693`, -1.3772456621986637`}, {{1, 1}, {1, 3}, {1, 
         5}, {1, 7}, {1, 9}}, {{
         0.6773412990430093, -0.09389968245718838}, {-0.09389968245718838, 
         0.018779936491437672`}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 0.775, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.7943203730652177`, 
         0.3686698347184607}, {-2.266754333352963, 
         4.865651717313355, -4.244842942101102, 
         2.959748065673982, -1.313802507533277}, {{1, 1}, {1, 3}, {1, 5}, {1, 
         7}, {1, 9}}, {{
         0.7206236607143806, -0.09986298825572734}, {-0.09986298825572736, 
         0.019972597651145473`}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 1.175, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.7549448356123727`, 
         0.37113025144644013`}, {-1.1152381854294837`, 
         2.398566469352762, -2.1257082735329966`, 
         1.5166698807256427`, -0.674289891115924}, {{1, 1}, {1, 3}, {1, 5}, {
         1, 7}, {1, 9}}, {{
         1.6055243619199897`, -0.22178154730831343`}, {-0.2217815473083134, 
         0.044356309461662684`}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 1.34, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.7468979832187803`, 
         0.37160129859796676`}, {-0.8781808460458653, 
         1.8894325068523126`, -1.6795781801843124`, 
         1.2035822239951508`, -0.5352557046172848}, {{1, 1}, {1, 3}, {1, 5}, {
         1, 7}, {1, 9}}, {{
         2.076142035109245, -0.28662219473950645`}, {-0.28662219473950634`, 
         0.05732443894790128}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 1.56, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.7395739295458643`, 
         0.3720210529714687}, {-0.6619253451105614, 
         1.4246305391125302`, -1.2698345639305266`, 
         0.913478890965705, -0.4063495210371481}, {{1, 1}, {1, 3}, {1, 5}, {1,
          7}, {1, 9}}, {{
         2.799626941329034, -0.3863028023487738}, {-0.38630280234877384`, 
         0.07726056046975477}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 1.58, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.739044059754823, 
         0.3720510929777063}, {-0.6462620550846538, 
         1.390952640628142, -1.2400565601129359`, 
         0.8923034186800607, -0.39693744411061443`}, {{1, 1}, {1, 3}, {1, 
         5}, {1, 7}, {1, 9}}, {{
         2.8708391062597, -0.39611432283664716`}, {-0.3961143228366471, 
         0.07922286456732945}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 1.75, 0.421875, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{3.7352031378863235`, 
         0.372267537522782}, {-0.5326501455787805, 
         1.1466240623334, -1.0236645239513549`, 
         0.7380574432176319, -0.3283668360208957}, {{1, 1}, {1, 3}, {1, 5}, {
         1, 7}, {1, 9}}, {{
         3.512757804354304, -0.4845571673117006}, {-0.4845571673117006, 
         0.09691143346234013}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 1.8199999999999998`, 0.421875, {
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001}] = {{3.733907336382859, 
         0.3723400420526607}, {-0.49429285532240264`, 
         1.0641150393776853`, -0.9504489804181584, 
         0.6857242639928753, -0.3050974676299963}, {{1, 1}, {1, 3}, {1, 5}, {
         1, 7}, {1, 9}}, {{
         3.796122493279789, -0.523598888880261}, {-0.523598888880261, 
         0.10471977777605221`}}}, $CellContext`trendMNC[{{1, 4}, {3, 6.2}, {
          5, 5.1}, {7, 6.8}, {9, 7}}, 2.0999999999999996`, 0.421875, {
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001}] = {{3.729898109572712, 
         0.372562733251601}, {-0.37552496074168795`, 
         0.8085756476094198, -0.7232471927970278, 
         0.5228672857325493, -0.23267077980325343`}, {{1, 1}, {1, 3}, {1, 
         5}, {1, 7}, {1, 9}}, {{
         5.040684483359948, -0.6950736976900186}, {-0.6950736976900186, 
         0.1390147395380037}}}, $CellContext`trendMNC[
         Pattern[$CellContext`data, 
          Blank[List]], 
         Pattern[$CellContext`s, 
          Blank[]], 
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`s2Zakl, 
          Blank[
          List]]] := ($CellContext`trendMNC[$CellContext`data, \
$CellContext`s, $CellContext`d, $CellContext`s2Zakl] = 
        With[{$CellContext`cov = $CellContext`covMatMult2[{
              Part[
               Transpose[$CellContext`data], 1], 
              Part[
               Transpose[$CellContext`data], 
               1]}, {$CellContext`s^2, $CellContext`d}]}, 
          With[{$CellContext`n = Length[$CellContext`data]}, 
           
           Module[{$CellContext`P = 
             Inverse[$CellContext`cov + 
               DiagonalMatrix[$CellContext`s2Zakl]], $CellContext`AT, \
$CellContext`A, $CellContext`ATP, $CellContext`f, $CellContext`InvATPA, \
$CellContext`h}, $CellContext`AT = {
               Table[1, {$CellContext`n}], 
               Part[
                Transpose[$CellContext`data], 1]}; $CellContext`A = 
             Transpose[$CellContext`AT]; $CellContext`ATP = 
             Dot[$CellContext`AT, $CellContext`P]; $CellContext`f = Part[
               Transpose[$CellContext`data], 2]; $CellContext`InvATPA = 
             Inverse[
               Dot[$CellContext`ATP, $CellContext`A]]; $CellContext`h = 
             Dot[$CellContext`InvATPA, $CellContext`ATP, $CellContext`f]; \
{$CellContext`h, 
              
              Dot[$CellContext`P, $CellContext`f - 
               Dot[$CellContext`A, $CellContext`h]], $CellContext`A, \
$CellContext`InvATPA}]]]), $CellContext`covMatMult2[{
          Pattern[$CellContext`VlicBody, 
           Blank[List]], 
          Pattern[$CellContext`podrBody, 
           Blank[List]]}, {
          Pattern[$CellContext`s2, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]}] := 
       With[{$CellContext`m = Length[$CellContext`VlicBody], $CellContext`n = 
          Length[$CellContext`podrBody]}, $CellContext`s2 Table[
           $CellContext`covF[$CellContext`d, 
            Abs[
            Part[$CellContext`podrBody, $CellContext`j] - 
             Part[$CellContext`VlicBody, $CellContext`i]]], {$CellContext`j, 
            1, $CellContext`n}, {$CellContext`i, 
            1, $CellContext`m}]], $CellContext`covF[
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`x, 
          Blank[]]] := 
       Exp[-($CellContext`d $CellContext`x)^2], $CellContext`covMat1[
         Pattern[$CellContext`body, 
          Blank[]], 
         Pattern[$CellContext`s, 
          Blank[]], 
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`x, 
          Blank[]]] := 
       With[{$CellContext`body1 = 
          Append[$CellContext`body, $CellContext`x], $CellContext`m = 
          Length[$CellContext`body] + 1}, $CellContext`s^2 Table[
           $CellContext`covF[$CellContext`d, 
            Abs[
            Part[$CellContext`body1, $CellContext`m] - 
             Part[$CellContext`body1, $CellContext`j]]], {$CellContext`j, 
            1, $CellContext`m - 1}]], $CellContext`vlBody = {{1, 4}, {
         3, 6.2}, {5, 5.1}, {7, 6.8}, {9, 7}}, $CellContext`nezav[
         Pattern[$CellContext`q, 
          Blank[]]] = (15 $CellContext`q)/32, $CellContext`strChyby2 = {
        0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
        0.04000000000000001, 0.04000000000000001}, $CellContext`chybaPredikce[
        
         Pattern[$CellContext`data, 
          Blank[List]], 
         Pattern[$CellContext`s, 
          Blank[]], 
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`s2Zakl, 
          Blank[List]], 
         Pattern[$CellContext`x, 
          Blank[]]] := 
       With[{$CellContext`Ax = {1, $CellContext`x}, $CellContext`A = Part[
            $CellContext`trendMNC[$CellContext`data, $CellContext`s, \
$CellContext`d, $CellContext`s2Zakl], 3], $CellContext`InvATPA = Part[
            $CellContext`trendMNC[$CellContext`data, $CellContext`s, \
$CellContext`d, $CellContext`s2Zakl], 
            4], $CellContext`cov = $CellContext`covMatMult[{
             Part[$CellContext`data, All, 1], 
             
             Part[$CellContext`data, All, 
              1]}, {$CellContext`s, $CellContext`d}], $CellContext`c12 = 
          Flatten[
            $CellContext`covMatMult[{
              
              Part[$CellContext`data, All, 
               1], {$CellContext`x}}, {$CellContext`s, $CellContext`d}]]}, 
         Module[{$CellContext`P = 
           Inverse[$CellContext`cov + DiagonalMatrix[$CellContext`s2Zakl]]}, 
          
          Sqrt[$CellContext`s^2 - 
           Dot[$CellContext`c12, $CellContext`P, $CellContext`c12] + 
           Dot[$CellContext`Ax - 
             Dot[$CellContext`c12, $CellContext`P, $CellContext`A], \
$CellContext`InvATPA, $CellContext`Ax - Dot[
              
              Transpose[$CellContext`A], $CellContext`P, \
$CellContext`c12]]]]], $CellContext`covMatMult[{
          Pattern[$CellContext`VlicBody, 
           Blank[List]], 
          Pattern[$CellContext`podrBody, 
           Blank[List]]}, {
          Pattern[$CellContext`s, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]}] := 
       With[{$CellContext`m = Length[$CellContext`VlicBody], $CellContext`n = 
          Length[$CellContext`podrBody]}, $CellContext`s^2 Table[
           $CellContext`covF[$CellContext`d, 
            Abs[
            Part[$CellContext`podrBody, $CellContext`j] - 
             Part[$CellContext`VlicBody, $CellContext`i]]], {$CellContext`j, 
            1, $CellContext`n}, {$CellContext`i, 
            1, $CellContext`m}]], $CellContext`od = 
       0.20000000000000018`, $CellContext`do = 
       9.8, $CellContext`pr = {{0.20000000000000018`, 9.8}, {3.7, 
        7.3}}, $CellContext`lineGr := Plot[
         Dot[
          Part[
           $CellContext`trendKonstMNC[$CellContext`vlBody, \
$CellContext`strChyby2], 1], {
          1, $CellContext`x}], {$CellContext`x, $CellContext`od, \
$CellContext`do}, PlotStyle -> {{
            Thickness[0.01], 
            RGBColor[1, 0.192157, 0.054902]}}, 
         PlotRange -> $CellContext`pr], $CellContext`trendKonstMNC[{{1, 4}, {
          3, 6.2}, {5, 5.1}, {7, 6.8}, {9, 7}}, {0.04000000000000001, 
         0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
         0.04000000000000001}] = {{4.169999999999999, 
         0.33}, {-12.499999999999977`, 
         26.000000000000018`, -17.999999999999993`, 
         8.000000000000028, -3.4999999999999694`}, {{1, 1}, {1, 3}, {1, 5}, {
         1, 7}, {1, 9}}, {{0.033, -0.005000000000000001}, {-0.005, 
         0.001}}}, $CellContext`trendKonstMNC[
         Pattern[$CellContext`data, 
          Blank[List]], 
         Pattern[$CellContext`s2Zakl, 
          Blank[
          List]]] := ($CellContext`trendKonstMNC[$CellContext`data, \
$CellContext`s2Zakl] = With[{$CellContext`n = Length[$CellContext`data]}, 
          Module[{$CellContext`P = Inverse[
              
              DiagonalMatrix[$CellContext`s2Zakl]], $CellContext`AT, \
$CellContext`A, $CellContext`ATP, $CellContext`f, $CellContext`InvATPA, \
$CellContext`h}, $CellContext`AT = {
              Table[1, {$CellContext`n}], 
              Part[
               Transpose[$CellContext`data], 1]}; $CellContext`A = 
            Transpose[$CellContext`AT]; $CellContext`ATP = 
            Dot[$CellContext`AT, $CellContext`P]; $CellContext`f = Part[
              Transpose[$CellContext`data], 2]; $CellContext`InvATPA = Inverse[
              Dot[$CellContext`ATP, $CellContext`A]]; $CellContext`h = 
            Dot[$CellContext`InvATPA, $CellContext`ATP, $CellContext`f]; \
{$CellContext`h, 
             
             Dot[$CellContext`P, $CellContext`f - 
              Dot[$CellContext`A, $CellContext`h]], $CellContext`A, \
$CellContext`InvATPA}]]), $CellContext`curveGr[
         Pattern[$CellContext`\[Sigma], 
          Blank[]], 
         Pattern[$CellContext`q, 
          Blank[]]] := Plot[
         $CellContext`curve[$CellContext`x, $CellContext`\[Sigma], \
$CellContext`q], {$CellContext`x, $CellContext`od, $CellContext`do}, 
         PlotStyle -> {
           Thickness[0.005], 
           RGBColor[0, 0.192157, 1]}, 
         PlotRange -> $CellContext`pr], $CellContext`pointsGr := Graphics[{
          PointSize[0.02], 
          RGBColor[1, 0.666667, 0], 
          Point[$CellContext`vlBody]}, Axes -> True, 
         PlotRange -> $CellContext`pr]}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent"]
},
WindowSize->{433.54, 363.59000000000003`},
ScrollingOptions->{"HorizontalScrollRange"->Fit,
"VerticalScrollRange"->Fit},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"8.0 for Linux x86 (64-bit) (October 10, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1235, 30, 27535, 513, 353, "Output"]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature rv0EwpGzsjiGNAKZNsTRuqPc *)
