(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[     18097,        396]
NotebookOptionsPosition[     18400,        388]
NotebookOutlinePosition[     18872,        408]
CellTagsIndexPosition[     18829,        405]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`body$$ = {{1, 4}, {3, 6.2}, {5, 5.1}, {
     7, 6.8}, {9, 7}}, $CellContext`chyba$$ = False, $CellContext`kovarFce$$ =
     False, $CellContext`mer$$ = 1., $CellContext`polynom$$ = 
    False, $CellContext`vliv$$ = 0.9, $CellContext`vyjm$$ = 
    2, $CellContext`\[Sigma]$$ = 
    0.49, $CellContext`\[Sigma]vybr$$ = $CellContext`\[Sigma]\[Epsilon]$$, \
$CellContext`\[Sigma]\[Epsilon]$$ = 0.49, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`body$$], {{1, 4}, {3, 6.2}, {5, 5.1}, {7, 6.8}, {9, 
        7}}}, Automatic}, {{
       Hold[$CellContext`mer$$], 1., "m\[EHacek]\[RHacek]\[IAcute]tko"}, 1., 
      5.}, {{
       Hold[$CellContext`chyba$$], False, "chybu"}, {True, False}}, {{
       Hold[$CellContext`polynom$$], False, "polynom"}, {True, False}}, {{
       Hold[$CellContext`kovarFce$$], False, "kovar. fci"}, {True, False}}, {{
      
       Hold[$CellContext`vliv$$], 0.9, 
       "vliv konfigurace vlicovac\[IAcute]ch bod\[URing]"}, 0.6, 3.9}, {{
       Hold[$CellContext`\[Sigma]$$], 0.25, "elasticita"}, 0.00001, 2.}, {{
       Hold[$CellContext`\[Sigma]\[Epsilon]$$], 0.2, 
       "st\[RHacek]edn\[IAcute] chyba me\[RHacek]en\[IAcute]"}, 0., 2.}, {{
       Hold[$CellContext`vyjm$$], 2, "vybrany bod"}, 
      Dynamic[Dynamic[
        RadioButtonBar[
         Dynamic[$CellContext`vyjm$$], 
         Range[1, 
          Length[$CellContext`body$$]]]]& ]}, {{
       Hold[$CellContext`\[Sigma]vybr$$], $CellContext`\[Sigma]\[Epsilon]$$, 
       "chyba me\[RHacek]en\[IAcute] vybraneho bodu"}, 0., 2.}}, 
    Typeset`size$$ = {600., {223., 227.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`mer$1684$$ = 0, $CellContext`chyba$1685$$ = 
    False, $CellContext`polynom$1686$$ = False, $CellContext`kovarFce$1687$$ =
     False, $CellContext`vliv$1688$$ = 0, $CellContext`\[Sigma]$1689$$ = 
    0, $CellContext`\[Sigma]\[Epsilon]$1690$$ = 
    0, $CellContext`\[Sigma]vybr$1691$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`body$$ = {{1, 4}, {3, 6.2}, {5, 5.1}, {
          7, 6.8}, {9, 7}}, $CellContext`chyba$$ = 
        False, $CellContext`kovarFce$$ = False, $CellContext`mer$$ = 
        1., $CellContext`polynom$$ = False, $CellContext`vliv$$ = 
        0.9, $CellContext`vyjm$$ = 2, $CellContext`\[Sigma]$$ = 
        0.25, $CellContext`\[Sigma]vybr$$ = \
$CellContext`\[Sigma]\[Epsilon]$$, $CellContext`\[Sigma]\[Epsilon]$$ = 0.2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`mer$$, $CellContext`mer$1684$$, 0], 
        Hold[$CellContext`chyba$$, $CellContext`chyba$1685$$, False], 
        Hold[$CellContext`polynom$$, $CellContext`polynom$1686$$, False], 
        Hold[$CellContext`kovarFce$$, $CellContext`kovarFce$1687$$, False], 
        Hold[$CellContext`vliv$$, $CellContext`vliv$1688$$, 0], 
        Hold[$CellContext`\[Sigma]$$, $CellContext`\[Sigma]$1689$$, 0], 
        Hold[$CellContext`\[Sigma]\[Epsilon]$$, $CellContext`\[Sigma]\
\[Epsilon]$1690$$, 0], 
        Hold[$CellContext`\[Sigma]vybr$$, $CellContext`\[Sigma]vybr$1691$$, 
         0]}, "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`shiftList$ = 
         Part[$CellContext`body$$, All, 1], $CellContext`n$ = 
         Length[$CellContext`body$$], $CellContext`poradiBodu$ = Ordering[
           Part[$CellContext`body$$, All, 1]]}, $CellContext`strChyby2 = 
         ReplacePart[
           Table[$CellContext`\[Sigma]\[Epsilon]$$^2, {$CellContext`n$}], 
           Part[$CellContext`poradiBodu$, $CellContext`vyjm$$] -> \
$CellContext`\[Sigma]vybr$$^2]; $CellContext`d = $CellContext`vliv$$ \
$CellContext`n$ ((($CellContext`n$ - 2)/($CellContext`n$ - 1))/(
           Max[$CellContext`shiftList$] - 
           Min[$CellContext`shiftList$])); $CellContext`prmer = 
         Transpose[Table[
             Mean[$CellContext`trpr], {
             2}] + $CellContext`mer$$ $CellContext`relOkr 
            Dot[{{-1}, {1}}, {
              Part[$CellContext`trpr, 2] - Mean[$CellContext`trpr]}]]; Show[{
           If[$CellContext`polynom$$, 
            Plot[
             
             InterpolatingPolynomial[$CellContext`body$$, $CellContext`x], \
{$CellContext`x, 
              Part[$CellContext`prmer, 1, 1], 
              Part[$CellContext`prmer, 1, 2]}, Ticks -> {Automatic, None}, 
             PlotStyle -> {
               Thickness[0.002], 
               GrayLevel[0]}], {}], 
           Plot[
            Dot[
             Part[
              $CellContext`trendMNC[$CellContext`body$$, \
$CellContext`\[Sigma]$$, $CellContext`d, $CellContext`strChyby2], 1], {
             1, $CellContext`x}], {$CellContext`x, 
             Part[$CellContext`prmer, 1, 1], 
             Part[$CellContext`prmer, 1, 2]}, PlotStyle -> {{
               Thickness[0.01], 
               RGBColor[1, 0.192157, 0.054902]}}], 
           If[$CellContext`chyba$$, 
            
            Plot[{$CellContext`predikce[$CellContext`body$$, $CellContext`\
\[Sigma]$$, $CellContext`d, $CellContext`strChyby2, $CellContext`x] - \
$CellContext`chybaPredikce[$CellContext`body$$, $CellContext`\[Sigma]$$, \
$CellContext`d, $CellContext`strChyby2, $CellContext`x], \
$CellContext`predikce[$CellContext`body$$, $CellContext`\[Sigma]$$, \
$CellContext`d, $CellContext`strChyby2, $CellContext`x] + \
$CellContext`chybaPredikce[$CellContext`body$$, $CellContext`\[Sigma]$$, \
$CellContext`d, $CellContext`strChyby2, $CellContext`x]}, {$CellContext`x, 
              Part[$CellContext`prmer, 1, 1], 
              Part[$CellContext`prmer, 1, 2]}, Filling -> {1 -> {{2}, 
                 RGBColor[0.682353, 0.682353, 1]}}, PlotStyle -> {{
                Thickness[0.005], 
                RGBColor[0, 0.192157, 1]}, {
                Thickness[0.005], 
                RGBColor[0, 0.192157, 1]}}], {}], 
           Plot[
            $CellContext`predikce[$CellContext`body$$, \
$CellContext`\[Sigma]$$, $CellContext`d, $CellContext`strChyby2, \
$CellContext`x], {$CellContext`x, 
             Part[$CellContext`prmer, 1, 1], 
             Part[$CellContext`prmer, 1, 2]}, PlotStyle -> {
              Thickness[0.005], 
              RGBColor[0, 0.192157, 1]}], 
           If[$CellContext`kovarFce$$, 
            Plot[
            Part[$CellContext`pocatek, 
               2] + $CellContext`mer$$ ($CellContext`\[Sigma]$$^2 \
$CellContext`covF[$CellContext`d, $CellContext`x - Mean[
                  Part[$CellContext`pr, 1]]]), {$CellContext`x, 
              Part[$CellContext`prmer, 1, 1], 
              Part[$CellContext`prmer, 1, 2]}, PlotStyle -> 
             RGBColor[0.380392, 0.12549, 0], 
             PlotRange -> $CellContext`prmer], {}], 
           Graphics[{
             PointSize[0.02], 
             RGBColor[0.305882, 0.556863, 0], 
             Table[
              Disk[
               
               Part[$CellContext`body$$, $CellContext`i], {$CellContext`\
\[Sigma]\[Epsilon]x, 
                Sqrt[
                 
                 Part[$CellContext`strChyby2, $CellContext`i]]}], \
{$CellContext`i, 1, 
               Length[$CellContext`body$$]}], 
             RGBColor[0.686275, 0.25098, 0.678431], 
             Point[$CellContext`body$$], 
             PointSize[0.03], 
             RGBColor[1, 0.666667, 0], 
             Point[
              Part[$CellContext`body$$, 
               Part[$CellContext`poradiBodu$, $CellContext`vyjm$$]]]}]}, 
          AxesOrigin -> $CellContext`pocatek, PlotRange -> $CellContext`prmer,
           AxesLabel -> {"x", "a(x)"}, 
          ImageSize -> {$CellContext`rozmObrX, $CellContext`rozmObrY}]], 
      "Specifications" :> {{{$CellContext`body$$, {{1, 4}, {3, 6.2}, {
           5, 5.1}, {7, 6.8}, {9, 7}}}, Automatic, ControlType -> Locator, 
         LocatorAutoCreate -> {2, 
           DirectedInfinity[1]}, Appearance -> 
         ""}, {{$CellContext`mer$$, 1., "m\[EHacek]\[RHacek]\[IAcute]tko"}, 
         1., 5., ControlType -> VerticalSlider, Appearance -> "Labeled", 
         ControlPlacement -> Right}, 
        Delimiter, {{$CellContext`chyba$$, False, "chybu"}, {True, False}, 
         ControlPlacement -> 
         Right}, {{$CellContext`polynom$$, False, "polynom"}, {True, False}, 
         ControlPlacement -> 
         Right}, {{$CellContext`kovarFce$$, False, "kovar. fci"}, {
         True, False}, ControlPlacement -> 
         Right}, {{$CellContext`vliv$$, 0.9, 
          "vliv konfigurace vlicovac\[IAcute]ch bod\[URing]"}, 0.6, 3.9, 
         Appearance -> "Labeled", ControlPlacement -> 
         Top}, {{$CellContext`\[Sigma]$$, 0.25, "elasticita"}, 0.00001, 2., 
         Appearance -> "Labeled", ControlPlacement -> 
         Top}, {{$CellContext`\[Sigma]\[Epsilon]$$, 0.2, 
          "st\[RHacek]edn\[IAcute] chyba me\[RHacek]en\[IAcute]"}, 0., 2., 
         Appearance -> "Labeled", ControlPlacement -> 
         Bottom}, {{$CellContext`vyjm$$, 2, "vybrany bod"}, 
         Dynamic[Dynamic[
           RadioButtonBar[
            Dynamic[$CellContext`vyjm$$], 
            Range[1, 
             Length[$CellContext`body$$]]]]& ], ControlPlacement -> 
         Bottom}, {{$CellContext`\[Sigma]vybr$$, $CellContext`\[Sigma]\
\[Epsilon]$$, "chyba me\[RHacek]en\[IAcute] vybraneho bodu"}, 0., 2., 
         Appearance -> "Labeled", ControlPlacement -> Bottom}}, 
      "Options" :> {
       ControllerMethod -> "Absolute", ControllerLinking -> All, 
        FrameLabel -> {
         "", "", "P\[RHacek]esnost neline\[AAcute]rn\[IAcute] aproximace", 
          "uka\[ZHacek]"}}, "DefaultOptions" :> {}],
     ImageSizeCache->{782., {329., 334.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`strChyby2 = {0.04000000000000001, 
        0.04000000000000001, 0.04000000000000001, 0.04000000000000001, 
        0.04000000000000001}, $CellContext`trpr = {{1, 4}, {9, 
        7}}, $CellContext`relOkr = 1.2, $CellContext`trendMNC[
         Pattern[$CellContext`data, 
          Blank[List]], 
         Pattern[$CellContext`s, 
          Blank[]], 
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`s2Zakl, 
          Blank[
          List]]] := ($CellContext`trendMNC[$CellContext`data, \
$CellContext`s, $CellContext`d, $CellContext`s2Zakl] = 
        With[{$CellContext`cov = $CellContext`covMatMult2[{
              Part[
               Transpose[$CellContext`data], 1], 
              Part[
               Transpose[$CellContext`data], 
               1]}, {$CellContext`s^2, $CellContext`d}]}, 
          With[{$CellContext`n = Length[$CellContext`data]}, 
           
           Module[{$CellContext`P = 
             Inverse[$CellContext`cov + 
               DiagonalMatrix[$CellContext`s2Zakl]], $CellContext`AT, \
$CellContext`A, $CellContext`ATP, $CellContext`f, $CellContext`InvATPA, \
$CellContext`h}, $CellContext`AT = {
               Table[1, {$CellContext`n}], 
               Part[
                Transpose[$CellContext`data], 1]}; $CellContext`A = 
             Transpose[$CellContext`AT]; $CellContext`ATP = 
             Dot[$CellContext`AT, $CellContext`P]; $CellContext`f = Part[
               Transpose[$CellContext`data], 2]; $CellContext`InvATPA = 
             Inverse[
               Dot[$CellContext`ATP, $CellContext`A]]; $CellContext`h = 
             Dot[$CellContext`InvATPA, $CellContext`ATP, $CellContext`f]; \
{$CellContext`h, 
              
              Dot[$CellContext`P, $CellContext`f - 
               Dot[$CellContext`A, $CellContext`h]], $CellContext`A, \
$CellContext`InvATPA}]]]), $CellContext`covMatMult2[{
          Pattern[$CellContext`VlicBody, 
           Blank[List]], 
          Pattern[$CellContext`podrBody, 
           Blank[List]]}, {
          Pattern[$CellContext`s2, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]}] := 
       With[{$CellContext`m = Length[$CellContext`VlicBody], $CellContext`n = 
          Length[$CellContext`podrBody]}, $CellContext`s2 Table[
           $CellContext`covF[$CellContext`d, 
            Abs[
            Part[$CellContext`podrBody, $CellContext`j] - 
             Part[$CellContext`VlicBody, $CellContext`i]]], {$CellContext`j, 
            1, $CellContext`n}, {$CellContext`i, 
            1, $CellContext`m}]], $CellContext`covF[
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`x, 
          Blank[]]] := 
       Exp[-($CellContext`d $CellContext`x)^2], $CellContext`predikce[
         Pattern[$CellContext`data, 
          Blank[List]], 
         Pattern[$CellContext`s, 
          Blank[]], 
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`s2Zakl, 
          Blank[List]], 
         Pattern[$CellContext`x, 
          Blank[]]] := 
       Module[{$CellContext`h, $CellContext`pomh}, {$CellContext`h, \
$CellContext`pomh} = Part[
            $CellContext`trendMNC[$CellContext`data, $CellContext`s, \
$CellContext`d, $CellContext`s2Zakl], {1, 2}]; Dot[
            $CellContext`covMat1[
             Part[
              Transpose[$CellContext`data], 
              1], $CellContext`s, $CellContext`d, $CellContext`x], \
$CellContext`pomh] + 
          Dot[{1, $CellContext`x}, $CellContext`h]], $CellContext`covMat1[
         Pattern[$CellContext`body, 
          Blank[]], 
         Pattern[$CellContext`s, 
          Blank[]], 
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`x, 
          Blank[]]] := 
       With[{$CellContext`body1 = 
          Append[$CellContext`body, $CellContext`x], $CellContext`m = 
          Length[$CellContext`body] + 1}, $CellContext`s^2 Table[
           $CellContext`covF[$CellContext`d, 
            Abs[
            Part[$CellContext`body1, $CellContext`m] - 
             Part[$CellContext`body1, $CellContext`j]]], {$CellContext`j, 
            1, $CellContext`m - 1}]], $CellContext`chybaPredikce[
         Pattern[$CellContext`data, 
          Blank[List]], 
         Pattern[$CellContext`s, 
          Blank[]], 
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`s2Zakl, 
          Blank[List]], 
         Pattern[$CellContext`x, 
          Blank[]]] := 
       With[{$CellContext`Ax = {1, $CellContext`x}, $CellContext`A = Part[
            $CellContext`trendMNC[$CellContext`data, $CellContext`s, \
$CellContext`d, $CellContext`s2Zakl], 3], $CellContext`InvATPA = Part[
            $CellContext`trendMNC[$CellContext`data, $CellContext`s, \
$CellContext`d, $CellContext`s2Zakl], 
            4], $CellContext`cov = $CellContext`covMatMult[{
             Part[$CellContext`data, All, 1], 
             
             Part[$CellContext`data, All, 
              1]}, {$CellContext`s, $CellContext`d}], $CellContext`c12 = 
          Flatten[
            $CellContext`covMatMult[{
              
              Part[$CellContext`data, All, 
               1], {$CellContext`x}}, {$CellContext`s, $CellContext`d}]]}, 
         Module[{$CellContext`P = 
           Inverse[$CellContext`cov + DiagonalMatrix[$CellContext`s2Zakl]]}, 
          
          Sqrt[$CellContext`s^2 - 
           Dot[$CellContext`c12, $CellContext`P, $CellContext`c12] + 
           Dot[$CellContext`Ax - 
             Dot[$CellContext`c12, $CellContext`P, $CellContext`A], \
$CellContext`InvATPA, $CellContext`Ax - Dot[
              
              Transpose[$CellContext`A], $CellContext`P, \
$CellContext`c12]]]]], $CellContext`covMatMult[{
          Pattern[$CellContext`VlicBody, 
           Blank[List]], 
          Pattern[$CellContext`podrBody, 
           Blank[List]]}, {
          Pattern[$CellContext`s, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]}] := 
       With[{$CellContext`m = Length[$CellContext`VlicBody], $CellContext`n = 
          Length[$CellContext`podrBody]}, $CellContext`s^2 Table[
           $CellContext`covF[$CellContext`d, 
            Abs[
            Part[$CellContext`podrBody, $CellContext`j] - 
             Part[$CellContext`VlicBody, $CellContext`i]]], {$CellContext`j, 
            1, $CellContext`n}, {$CellContext`i, 
            1, $CellContext`m}]], $CellContext`pocatek = {0.2, 
        4.}, $CellContext`pr = {{0.20000000000000018`, 9.8}, {3.7, 
        7.3}}, $CellContext`\[Sigma]\[Epsilon]x = 0.06, $CellContext`rozmObrX = 
       600, $CellContext`rozmObrY = 450}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent"]
},
WindowSize->{833.1600000000001, 684.95},
ScrollingOptions->{"HorizontalScrollRange"->Fit,
"VerticalScrollRange"->Fit},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"8.0 for Linux x86 (64-bit) (October 10, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1235, 30, 17161, 356, 665, "Output"]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature uupFP0EJVEyC8BgSV7Xl1SDf *)
